Package org.apache.xmlbeans.impl.inst2xsd.util

## Class TypeSystemHolder

- java.lang.Object
- - org.apache.xmlbeans.impl.inst2xsd.util.TypeSystemHolder

-     public class TypeSystemHolder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeSystemHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addGlobalAttribute​(Attribute attribute)` |
    `void` | `addGlobalElement​(Element element)` |
    `void` | `addGlobalType​(Type type)` |
    `protected void` | `fillUpContentForComplexType​(Type type, ComplexType sComplexType, String tns)` |
    `protected void` | `fillUpLocalAttribute​(Attribute att, Attribute sAttribute, String tns)` |
    `protected void` | `fillUpLocalElement​(Element element, LocalElement localSElement, String tns)` |
    `Attribute` | `getGlobalAttribute​(QName name)` |
    `Attribute[]` | `getGlobalAttributes()` |
    `Element` | `getGlobalElement​(QName name)` |
    `Element[]` | `getGlobalElements()` |
    `Type` | `getGlobalType​(QName name)` |
    `Type[]` | `getGlobalTypes()` |
    `SchemaDocument[]` | `getSchemaDocuments()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSystemHolder

          public TypeSystemHolder()

  - ### Method Detail

    - #### addGlobalElement

          public void addGlobalElement​(Element element)

    - #### getGlobalElement

          public Element getGlobalElement​(QName name)

    - #### getGlobalElements

          public Element[] getGlobalElements()

    - #### addGlobalAttribute

          public void addGlobalAttribute​(Attribute attribute)

    - #### getGlobalAttribute

          public Attribute getGlobalAttribute​(QName name)

    - #### getGlobalAttributes

          public Attribute[] getGlobalAttributes()

    - #### addGlobalType

          public void addGlobalType​(Type type)

    - #### getGlobalType

          public Type getGlobalType​(QName name)

    - #### getGlobalTypes

          public Type[] getGlobalTypes()

    - #### getSchemaDocuments

          public SchemaDocument[] getSchemaDocuments()

    - #### fillUpLocalElement

          protected void fillUpLocalElement​(Element element,
                                            LocalElement localSElement,
                                            String tns)

    - #### fillUpLocalAttribute

          protected void fillUpLocalAttribute​(Attribute att,
                                              Attribute sAttribute,
                                              String tns)

    - #### fillUpContentForComplexType

          protected void fillUpContentForComplexType​(Type type,
                                                     ComplexType sComplexType,
                                                     String tns)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`